After launching the newly installed RAD Studio XE for the first time it tried to install something. This failed because I didn’t run it elevated which makes Windows 7 fire the Program Compatibility Assistant:


It would be better for Embarcadero to detect if we run elevated and only run the installer when we are (or request elevation).

Maybe it’s time for Embarcadero to use Jwscl which make such things very easy?